package com.puppetlabs.rbac;

import java.security.cert.CertificateException;
import java.security.cert.X509Certificate;
import javax.net.ssl.X509TrustManager;

// This class represents a TrustManager that never validates
// certificates. It is used for ldaps connections. This approach is
// just for PE 3.4; in 3.5 we'll have the UI infrastructure to be
// validating customers' certs for LDAP connections.

public class DummyTrustManager implements X509TrustManager {
    public void checkClientTrusted(X509Certificate[] xcs, String string) throws CertificateException {
        // do nothing
    }
    public void checkServerTrusted(X509Certificate[] xcs, String string) throws CertificateException {
        // do nothing
    }
    public X509Certificate[] getAcceptedIssuers() {
        return new java.security.cert.X509Certificate[0];
    }
}
