(ns puppetlabs.rbac.services
  (:require [puppetlabs.trapperkeeper.core :refer [defservice]]
            [puppetlabs.rbac.db-utils :refer [migrate! drop-public-tables!]]))

(defservice initdb
  [[:ConfigService get-in-config]
   [:ShutdownService request-shutdown]]
  (start [_ context]
         (let [db (get-in-config [:rbac-database])]
           (drop-public-tables! db)
           (migrate! db)
           (request-shutdown)
           context)))
